﻿Imports Telerik.Web.UI

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        Dim paths As String() = New String() {"~/Reports"}
        RadFileExplorer1.Configuration.ViewPaths = paths

        Dim ProviderTypeName As String

        ProviderTypeName = GetType(CustomContentProvider).AssemblyQualifiedName

        RadFileExplorer1.Configuration.ContentProviderTypeName = ProviderTypeName

        If Not IsPostBack Then
            RadFileExplorer1.WindowManager.Behaviors = WindowBehaviors.Maximize Or WindowBehaviors.Close Or _
                                                        WindowBehaviors.Move Or WindowBehaviors.Resize Or _
                                                        WindowBehaviors.Pin Or WindowBehaviors.Reload
            RadFileExplorer1.WindowManager.PreserveClientState = True
            RadFileExplorer1.WindowManager.KeepInScreenBounds = True
        End If
    End Sub

    Protected Sub Page_PreRender(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.PreRender
        Dim toolBar As RadToolBar = RadFileExplorer1.ToolBar

        ' Remove commands from the ToolBar control;  
        For Each item As RadToolBarItem In toolBar.Items
            Select Case item.Value
                Case "Back"
					item.Visible = True
                    Exit Select
                Case "Forward"
					item.Visible = True
                    Exit Select

                Case "New Folder"
                    item.Visible = False
                    Exit Select

                Case "Delete"
                    item.Visible = False
                    'toolBar.Items.RemoveAt(item.Index)
                    Exit Select

                Case "Upload"
                    item.Visible = False
                    'toolBar.Items.RemoveAt(item.Index)

            End Select
        Next

    End Sub
End Class
